%define upname		xf86-video-nouveau

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.17
Release:	%mkrel 7
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
Source0:	http://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.xz
Patch1: remove-sarea.h.patch
Patch2: fix-nouveau-xorg-server.patch
BuildRequires: libdrm-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel 
BuildRequires: x11-util-macros 
BuildRequires: GL-devel
BuildRequires: udev-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires: nouveau-firmware

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%setup -q -n %{upname}-%{version}
%apply_patches
grep -q %{version} configure.ac

%build
autoreconf -v --install
%configure2_5x --disable-static

%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot/%{_libdir}/xorg/modules/drivers/nouveau_drv.la

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog
* Sat Feb 11 2023 tex - 1.0.17-7pclos2023
- rebuild against updates

* Mon Dec 19 2022 tex - 1.0.17-6pclos2022
- rebuild against updates

* Wed Jan 26 2022 tex - 1.0.17-5pclos2022
- rebuild against updates

* Sun Jan 23 2022 tex - 1.0.17-4pclos2022
- add patch1
- drop .la files

* Tue Apr 27 2021 tex - 1.0.17-3pclos2021
- rebuild against updates

* Sun Jan 24 2021 tex - 1.0.17-2pclos2021
- add grep confgure.ac

* Sat Jan 23 2021 tex - 1.0.17-1pclos2021
- new version
